# Config file to run an optimus debloating

# The program to be debloated
program: 'examples/optimus_astor/astor'

# Test file used to debloat program
test: 'examples/optimus_astor/optimus_test.py'

# Does Optimus need to speak
verbose: True

# Is the model printed after each file debloating
model: False

# Is multilabel optimization performed. Requires test_framework to be set
multilabel: False

# Uses unit tests to perform optimization. Currenlty only supports pytest
# test_framework: 'pytest'

# Maximum duration of an Optimus test before finishing it.
test_timeout: 2

# The maximum adding time a new candidate can take compared to the current best one
duration_delta: 1

# The module in which the optimized file is located
from_module: 'examples/optimus_astor/astor'

# Only one step of optimization, enough to remove most of the debloated code, but not optimal
one_way: True

# Perform a syntax check before testing
fast_fail: False
